## org.plovr.docgen
Class TypeExpression.Builder

    java.lang.Object
      org.plovr.docgen.TypeExpression.Builder

Enclosing class:
  TypeExpression

    public static class TypeExpression.Builder

extends java.lang.Object

Method Summary
`TypeExpression` `build()`
`TypeExpression.Builder` `setType(com.google.javascript.rhino.JSTypeExpression type, com.google.javascript.jscomp.AbstractCompiler compiler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public TypeExpression build()

### setType

    public TypeExpression.Builder setType(com.google.javascript.rhino.JSTypeExpression type,
                                          com.google.javascript.jscomp.AbstractCompiler compiler)